$ErrorActionPreference = 'Stop';

$packageName  = 'Caprine'
$toolsDir     = "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)"
$url          = 'https://github.com/sindresorhus/caprine/releases/download/v2.51.0/Caprine-Setup-2.51.0.exe'

$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'Caprine*'
  fileType      = 'exe'
  url           = $url

  checksum      = '3AD761C3FECF9A077E97224C4C14F968EE29CF3DCCBFD9F1F2FBEE378F3BF70F67C05C508F98C3D951045BECDFFC1931281782A8DB89AC7AB4B04D17D7A64BAA'
  checksumType  = 'sha512'

  silentArgs    = "/S"
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
